=== modified file 'local/vn/dhis-api-vn/src/main/java/org/hisp/dhis/vn/report/ReportExcelGroupListing.java'
--- local/vn/dhis-api-vn/src/main/java/org/hisp/dhis/vn/report/ReportExcelGroupListing.java	2009-07-13 00:23:50 +0000
+++ local/vn/dhis-api-vn/src/main/java/org/hisp/dhis/vn/report/ReportExcelGroupListing.java	2009-09-11 11:54:32 +0000
@@ -1,14 +1,40 @@
-/**
- * @author Chau Thu Tran
- */
-
 package org.hisp.dhis.vn.report;
 
+/*
+ * Copyright (c) 2004-2007, University of Oslo
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ * * Redistributions of source code must retain the above copyright notice, this
+ *   list of conditions and the following disclaimer.
+ * * Redistributions in binary form must reproduce the above copyright notice,
+ *   this list of conditions and the following disclaimer in the documentation
+ *   and/or other materials provided with the distribution.
+ * * Neither the name of the HISP project nor the names of its contributors may
+ *   be used to endorse or promote products derived from this software without
+ *   specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+ * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+ * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+ * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 import java.util.List;
 
 import org.hisp.dhis.organisationunit.OrganisationUnitGroup;
 import org.hisp.dhis.vn.report.ReportExcel;
-
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
 public class ReportExcelGroupListing
     extends ReportExcel
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/configuration/action/GetFormConfigurationAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/configuration/action/GetFormConfigurationAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/configuration/action/GetFormConfigurationAction.java	2009-09-11 11:54:32 +0000
@@ -1,14 +1,41 @@
 package org.hisp.dhis.vn.chr.configuration.action;
 
+/*
+ * Copyright (c) 2004-2007, University of Oslo
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ * * Redistributions of source code must retain the above copyright notice, this
+ *   list of conditions and the following disclaimer.
+ * * Redistributions in binary form must reproduce the above copyright notice,
+ *   this list of conditions and the following disclaimer in the documentation
+ *   and/or other materials provided with the distribution.
+ * * Neither the name of the HISP project nor the names of its contributors may
+ *   be used to endorse or promote products derived from this software without
+ *   specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+ * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+ * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+ * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+import org.hisp.dhis.options.SystemSettingManager;
+
+import com.opensymphony.xwork2.Action;
+
 /**
  * @author Chau Thu Tran
- * 
+ * @version $Id
  */
 
-import org.hisp.dhis.options.SystemSettingManager;
-
-import com.opensymphony.xwork2.Action;
-
 public class GetFormConfigurationAction
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/configuration/action/SetImageDirectoryOnServerAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/configuration/action/SetImageDirectoryOnServerAction.java	2009-09-07 06:34:52 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/configuration/action/SetImageDirectoryOnServerAction.java	2009-09-11 11:54:32 +0000
@@ -1,13 +1,40 @@
 package org.hisp.dhis.vn.chr.configuration.action;
 
+/*
+ * Copyright (c) 2004-2007, University of Oslo
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ * * Redistributions of source code must retain the above copyright notice, this
+ *   list of conditions and the following disclaimer.
+ * * Redistributions in binary form must reproduce the above copyright notice,
+ *   this list of conditions and the following disclaimer in the documentation
+ *   and/or other materials provided with the distribution.
+ * * Neither the name of the HISP project nor the names of its contributors may
+ *   be used to endorse or promote products derived from this software without
+ *   specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+ * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+ * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+ * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
+import org.hisp.dhis.options.SystemSettingManager;
+import org.hisp.dhis.vn.chr.form.action.ActionSupport;
+
 /**
  * @author Chau Thu Tran
- * 
+ * @version $Id
  */
 
-import org.hisp.dhis.options.SystemSettingManager;
-import org.hisp.dhis.vn.chr.form.action.ActionSupport;
-
 public class SetImageDirectoryOnServerAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/configuration/action/SetNumberOfRecordsAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/configuration/action/SetNumberOfRecordsAction.java	2009-09-07 06:34:52 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/configuration/action/SetNumberOfRecordsAction.java	2009-09-11 11:54:32 +0000
@@ -1,13 +1,13 @@
 package org.hisp.dhis.vn.chr.configuration.action;
 
+import org.hisp.dhis.options.SystemSettingManager;
+import org.hisp.dhis.vn.chr.form.action.ActionSupport;
+
 /**
  * @author Chau Thu Tran
- * 
+ * @version $Id
  */
 
-import org.hisp.dhis.options.SystemSettingManager;
-import org.hisp.dhis.vn.chr.form.action.ActionSupport;
-
 public class SetNumberOfRecordsAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/AddEgroupAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/AddEgroupAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/AddEgroupAction.java	2009-09-11 11:54:32 +0000
@@ -1,16 +1,16 @@
 package org.hisp.dhis.vn.chr.egroup.action;
 
-/**
- * @author Chau Thu Tran
- * 
- */
-
 import org.hisp.dhis.system.util.CodecUtils;
 import org.hisp.dhis.vn.chr.Egroup;
 import org.hisp.dhis.vn.chr.EgroupService;
 import org.hisp.dhis.vn.chr.FormService;
 import org.hisp.dhis.vn.chr.form.action.ActionSupport;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class AddEgroupAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/DeleteEgroupAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/DeleteEgroupAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/DeleteEgroupAction.java	2009-09-11 11:54:32 +0000
@@ -8,6 +8,11 @@
 import org.hisp.dhis.vn.chr.EgroupService;
 import org.hisp.dhis.vn.chr.form.action.ActionSupport;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class DeleteEgroupAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/GetEgroupById.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/GetEgroupById.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/GetEgroupById.java	2009-09-11 11:54:32 +0000
@@ -9,6 +9,12 @@
 import org.hisp.dhis.vn.chr.EgroupService;
 import com.opensymphony.xwork2.Action;
 
+
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class GetEgroupById
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/ListEgroupAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/ListEgroupAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/ListEgroupAction.java	2009-09-11 11:54:32 +0000
@@ -7,6 +7,11 @@
 import org.hisp.dhis.vn.chr.FormService;
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class ListEgroupAction
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/UpdateEgroupAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/UpdateEgroupAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/UpdateEgroupAction.java	2009-09-11 11:54:32 +0000
@@ -10,6 +10,11 @@
 import org.hisp.dhis.vn.chr.EgroupService;
 import org.hisp.dhis.vn.chr.form.action.ActionSupport;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class UpdateEgroupAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/UpdateElementsForEgroupAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/UpdateElementsForEgroupAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/UpdateElementsForEgroupAction.java	2009-09-11 11:54:32 +0000
@@ -13,6 +13,11 @@
 import org.hisp.dhis.vn.chr.ElementService;
 import org.hisp.dhis.vn.chr.form.action.ActionSupport;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class UpdateElementsForEgroupAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/ValidateEgroupAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/ValidateEgroupAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/egroup/action/ValidateEgroupAction.java	2009-09-11 11:54:32 +0000
@@ -7,6 +7,12 @@
 
 import org.hisp.dhis.vn.chr.form.action.ActionSupport;
 
+
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class ValidateEgroupAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/AddElementAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/AddElementAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/AddElementAction.java	2009-09-11 11:54:32 +0000
@@ -11,6 +11,11 @@
 import org.hisp.dhis.vn.chr.FormService;
 import org.hisp.dhis.vn.chr.form.action.ActionSupport;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class AddElementAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/DeleteElementAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/DeleteElementAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/DeleteElementAction.java	2009-09-11 11:54:32 +0000
@@ -8,6 +8,11 @@
 import org.hisp.dhis.vn.chr.ElementService;
 import org.hisp.dhis.vn.chr.form.action.ActionSupport;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class DeleteElementAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/GetElementById.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/GetElementById.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/GetElementById.java	2009-09-11 11:54:32 +0000
@@ -9,6 +9,11 @@
 import org.hisp.dhis.vn.chr.ElementService;
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class GetElementById
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/ListElementAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/ListElementAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/ListElementAction.java	2009-09-11 11:54:32 +0000
@@ -12,6 +12,11 @@
 
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class ListElementAction
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/UpdateElementAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/UpdateElementAction.java	2009-09-03 06:29:07 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/UpdateElementAction.java	2009-09-11 11:54:32 +0000
@@ -11,6 +11,11 @@
 import org.hisp.dhis.vn.chr.FormService;
 import org.hisp.dhis.vn.chr.form.action.ActionSupport;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class UpdateElementAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/ValidateElementAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/ValidateElementAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/element/action/ValidateElementAction.java	2009-09-11 11:54:32 +0000
@@ -7,6 +7,11 @@
 
 import org.hisp.dhis.vn.chr.form.action.ActionSupport;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class ValidateElementAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/AddFormAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/AddFormAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/AddFormAction.java	2009-09-11 11:54:32 +0000
@@ -9,6 +9,11 @@
 import org.hisp.dhis.vn.chr.Form;
 import org.hisp.dhis.vn.chr.FormService;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class AddFormAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetElementsForGroupAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetElementsForGroupAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetElementsForGroupAction.java	2009-09-11 11:54:32 +0000
@@ -14,6 +14,11 @@
 
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class GetElementsForGroupAction
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetFormById.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetFormById.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetFormById.java	2009-09-11 11:54:32 +0000
@@ -9,6 +9,11 @@
 import org.hisp.dhis.vn.chr.FormService;
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class GetFormById
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetFormByName.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetFormByName.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetFormByName.java	2009-09-11 11:54:32 +0000
@@ -10,6 +10,11 @@
 
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class GetFormByName
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetFormsByName.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetFormsByName.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetFormsByName.java	2009-09-11 11:54:32 +0000
@@ -12,6 +12,11 @@
 
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class GetFormsByName
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetInformationForSystemAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetInformationForSystemAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetInformationForSystemAction.java	2009-09-11 11:54:32 +0000
@@ -10,6 +10,11 @@
 
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class GetInformationForSystemAction
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetVisibleFormsAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetVisibleFormsAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/GetVisibleFormsAction.java	2009-09-11 11:54:32 +0000
@@ -9,6 +9,11 @@
 
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class GetVisibleFormsAction
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/ListFormAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/ListFormAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/ListFormAction.java	2009-09-11 11:54:32 +0000
@@ -15,6 +15,11 @@
 
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class ListFormAction
     implements Action
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/UpdateFormAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/UpdateFormAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/UpdateFormAction.java	2009-09-11 11:54:32 +0000
@@ -9,6 +9,11 @@
 import org.hisp.dhis.vn.chr.Form;
 import org.hisp.dhis.vn.chr.FormService;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class UpdateFormAction
     extends ActionSupport
 {

=== modified file 'local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/ValidateFormAction.java'
--- local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/ValidateFormAction.java	2009-09-03 03:55:25 +0000
+++ local/vn/dhis-web-chr-form/src/main/java/org/hisp/dhis/vn/chr/form/action/ValidateFormAction.java	2009-09-11 11:54:32 +0000
@@ -1,18 +1,17 @@
 package org.hisp.dhis.vn.chr.form.action;
 
+
 /**
  * @author Chau Thu Tran
- * 
+ * @version $Id
  */
 
 public class ValidateFormAction
     extends ActionSupport
-{
-
-   
-    // -------------------------------------------
+{  
+    // --------------------------------------------------------------------------------
     // Input && Output
-    // -------------------------------------------
+    // --------------------------------------------------------------------------------
 
     private String name;
 
@@ -35,9 +34,9 @@
         this.noColumn = noColumn;
     }
 
-    // -------------------------------------------
-    // Implement
-    // -------------------------------------------
+    // --------------------------------------------------------------------------------
+    // Action implementation
+    // --------------------------------------------------------------------------------
 
     public String execute()
         throws Exception

=== modified file 'local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/DeleteExcelFileAction.java'
--- local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/DeleteExcelFileAction.java	2009-09-01 13:30:48 +0000
+++ local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/DeleteExcelFileAction.java	2009-09-11 11:54:32 +0000
@@ -1,5 +1,32 @@
 package org.hisp.dhis.vn.imports.action;
 
+/*
+ * Copyright (c) 2004-2007, University of Oslo
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ * * Redistributions of source code must retain the above copyright notice, this
+ *   list of conditions and the following disclaimer.
+ * * Redistributions in binary form must reproduce the above copyright notice,
+ *   this list of conditions and the following disclaimer in the documentation
+ *   and/or other materials provided with the distribution.
+ * * Neither the name of the HISP project nor the names of its contributors may
+ *   be used to endorse or promote products derived from this software without
+ *   specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+ * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+ * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+ * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 import java.io.File;
 
 import org.hisp.dhis.organisationunit.OrganisationUnit;

=== modified file 'local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/GetInformationAction.java'
--- local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/GetInformationAction.java	2009-09-09 09:19:35 +0000
+++ local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/GetInformationAction.java	2009-09-11 11:54:32 +0000
@@ -1,5 +1,32 @@
 package org.hisp.dhis.vn.imports.action;
 
+/*
+ * Copyright (c) 2004-2007, University of Oslo
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ * * Redistributions of source code must retain the above copyright notice, this
+ *   list of conditions and the following disclaimer.
+ * * Redistributions in binary form must reproduce the above copyright notice,
+ *   this list of conditions and the following disclaimer in the documentation
+ *   and/or other materials provided with the distribution.
+ * * Neither the name of the HISP project nor the names of its contributors may
+ *   be used to endorse or promote products derived from this software without
+ *   specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+ * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+ * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+ * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 import java.io.File;
 import java.util.ArrayList;
 import java.util.Collection;

=== modified file 'local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/GetListExcelFileByOrganisationAction.java'
--- local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/GetListExcelFileByOrganisationAction.java	2009-09-01 10:56:13 +0000
+++ local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/GetListExcelFileByOrganisationAction.java	2009-09-11 11:54:32 +0000
@@ -1,5 +1,32 @@
 package org.hisp.dhis.vn.imports.action;
 
+/*
+ * Copyright (c) 2004-2007, University of Oslo
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ * * Redistributions of source code must retain the above copyright notice, this
+ *   list of conditions and the following disclaimer.
+ * * Redistributions in binary form must reproduce the above copyright notice,
+ *   this list of conditions and the following disclaimer in the documentation
+ *   and/or other materials provided with the distribution.
+ * * Neither the name of the HISP project nor the names of its contributors may
+ *   be used to endorse or promote products derived from this software without
+ *   specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+ * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+ * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+ * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 import java.io.File;
 import java.util.ArrayList;
 import java.util.Calendar;

=== modified file 'local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/ImportDataAction.java'
--- local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/ImportDataAction.java	2009-09-11 08:08:13 +0000
+++ local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/ImportDataAction.java	2009-09-11 11:54:32 +0000
@@ -1,8 +1,30 @@
 package org.hisp.dhis.vn.imports.action;
 
-/**
- * @author Chau Thu Tran
- * 
+/*
+ * Copyright (c) 2004-2007, University of Oslo
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ * * Redistributions of source code must retain the above copyright notice, this
+ *   list of conditions and the following disclaimer.
+ * * Redistributions in binary form must reproduce the above copyright notice,
+ *   this list of conditions and the following disclaimer in the documentation
+ *   and/or other materials provided with the distribution.
+ * * Neither the name of the HISP project nor the names of its contributors may
+ *   be used to endorse or promote products derived from this software without
+ *   specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+ * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+ * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+ * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
 import java.io.File;
@@ -34,6 +56,11 @@
 import org.hisp.dhis.vn.report.action.ActionSupport;
 import org.hisp.dhis.vn.report.utils.ExcelUtils;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class ImportDataAction
     extends ActionSupport
 {
@@ -131,38 +158,36 @@
     }
 
     // --------------------------------------------------------------------
-    // Action Implementation
+    // Action implementation
     // --------------------------------------------------------------------
 
     public String execute()
         throws Exception
     {
-        // template report excel
         ReportExcelInterface report = reportExcelService.getReport( reportId );
 
-        // organisation unit
         OrganisationUnit organisationUnit = organisationUnitSelectionManager.getSelectedOrganisationUnit();
 
-        // file saves values
         File upload = new File( uploadFileName );
         WorkbookSettings ws = new WorkbookSettings();
         ws.setLocale( new Locale( "en", "EN" ) );
         Workbook templateWorkbook = Workbook.getWorkbook( upload, ws );
 
         Collection<ReportItem> reportItems = new ArrayList<ReportItem>();
-        // check reportItems inputted
-        if(reportItemIds!=null){
-            for(int i=0;i<reportItemIds.length;i++){
+        if ( reportItemIds != null )
+        {
+            for ( int i = 0; i < reportItemIds.length; i++ )
+            {
                 reportItems.add( reportExcelService.getReportItem( reportItemIds[i] ) );
             }
-        }else{
-            // get reportItems of the template report
+        }
+        else
+        {
             reportItems = report.getReportItems();
         }
-        
+
         Sheet sheet = templateWorkbook.getSheet( 0 );
 
-        // get period
         Period period = periodService.getPeriod( periodId.intValue() );
 
         for ( ReportItem reportItem : reportItems )
@@ -174,31 +199,25 @@
 
                 if ( !value.isEmpty() )
                 {
-                    // Get expression of the reportItem
                     Operand operand = expressionService.getOperandsInExpression( reportItem.getExpression() )
                         .iterator().next();
 
-                    // dateelement of the reportItem
                     DataElement dataElement = dataElementService.getDataElement( operand.getDataElementId() );
 
                     DataElementCategoryOptionCombo optionCombo = dataElementCategoryOptionComboService
                         .getDataElementCategoryOptionCombo( operand.getOptionComboId() );
 
-                    // logged username
                     String storedBy = currentUserService.getCurrentUsername();
 
                     DataValue dataValue = dataValueService.getDataValue( organisationUnit, dataElement, period,
                         optionCombo );
 
-                    // if dataValue is not exist, that means data not input
-                    // add value into database
                     if ( dataValue == null )
                     {
                         dataValue = new DataValue( dataElement, period, organisationUnit, value + "", storedBy,
                             new Date(), null, optionCombo );
                         dataValueService.addDataValue( dataValue );
                     }
-                    // if dataValue is exist, update new value
                     else
                     {
                         dataValue.setValue( value + "" );

=== modified file 'local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/UploadExcelFileAction.java'
--- local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/UploadExcelFileAction.java	2009-09-11 08:08:13 +0000
+++ local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/UploadExcelFileAction.java	2009-09-11 11:54:32 +0000
@@ -1,5 +1,32 @@
 package org.hisp.dhis.vn.imports.action;
 
+/*
+ * Copyright (c) 2004-2007, University of Oslo
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ * * Redistributions of source code must retain the above copyright notice, this
+ *   list of conditions and the following disclaimer.
+ * * Redistributions in binary form must reproduce the above copyright notice,
+ *   this list of conditions and the following disclaimer in the documentation
+ *   and/or other materials provided with the distribution.
+ * * Neither the name of the HISP project nor the names of its contributors may
+ *   be used to endorse or promote products derived from this software without
+ *   specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+ * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+ * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+ * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+ */
+
 import java.io.File;
 import java.io.FileReader;
 import java.io.FileWriter;

=== modified file 'local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/ViewDataAction.java'
--- local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/ViewDataAction.java	2009-09-11 08:08:13 +0000
+++ local/vn/dhis-web-vn-report/src/main/java/org/hisp/dhis/vn/imports/action/ViewDataAction.java	2009-09-11 11:54:32 +0000
@@ -1,8 +1,30 @@
 package org.hisp.dhis.vn.imports.action;
 
-/**
- * @author Chau Thu Tran
- * 
+/*
+ * Copyright (c) 2004-2007, University of Oslo
+ * All rights reserved.
+ *
+ * Redistribution and use in source and binary forms, with or without
+ * modification, are permitted provided that the following conditions are met:
+ * * Redistributions of source code must retain the above copyright notice, this
+ *   list of conditions and the following disclaimer.
+ * * Redistributions in binary form must reproduce the above copyright notice,
+ *   this list of conditions and the following disclaimer in the documentation
+ *   and/or other materials provided with the distribution.
+ * * Neither the name of the HISP project nor the names of its contributors may
+ *   be used to endorse or promote products derived from this software without
+ *   specific prior written permission.
+ *
+ * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND
+ * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+ * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+ * DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR
+ * ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+ * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+ * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON
+ * ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+ * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+ * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
  */
 
 import java.io.File;
@@ -23,6 +45,11 @@
 
 import com.opensymphony.xwork2.Action;
 
+/**
+ * @author Chau Thu Tran
+ * @version $Id
+ */
+
 public class ViewDataAction
     implements Action
 {
@@ -62,7 +89,7 @@
     }
 
     // --------------------------------------------------------------------
-    // Action Implementation
+    // Action implementation
     // --------------------------------------------------------------------
 
     public String execute()
@@ -70,20 +97,16 @@
 
         try
         {
-            // template report excel
             ReportExcelInterface report = reportExcelService.getReport( reportId );
-            // file saves values
             File upload = new File( uploadFileName );
             WorkbookSettings ws = new WorkbookSettings();
             ws.setLocale( new Locale( "en", "EN" ) );
             Workbook templateWorkbook = Workbook.getWorkbook( upload, ws );
 
-            // get reportItems of the template report
             Collection<ReportItem> reportItems = report.getReportItems();
 
             Sheet sheet = templateWorkbook.getSheet( 0 );
 
-            // init parametter reportItermValues
             reportItemValues = new ArrayList<ReportItemValue>();
 
             for ( ReportItem reportItem : reportItems )

=== modified file 'local/vn/dhis-web-vn-report/src/main/resources/org/hisp/dhis/vn/i18n_module.properties'
--- local/vn/dhis-web-vn-report/src/main/resources/org/hisp/dhis/vn/i18n_module.properties	2009-09-11 11:46:20 +0000
+++ local/vn/dhis-web-vn-report/src/main/resources/org/hisp/dhis/vn/i18n_module.properties	2009-09-11 11:54:32 +0000
@@ -107,4 +107,5 @@
 unselect_all_at_level		= Un-Select All At Level
 remove_all					= Un-Select All
 define_associations			= Report Associations
-import_excel_file           = Import excel file
\ No newline at end of file
+import_excel_file           = Import excel file
+select                      = [Select]
\ No newline at end of file

=== modified file 'local/vn/dhis-web-vn-report/src/main/resources/struts.xml'
--- local/vn/dhis-web-vn-report/src/main/resources/struts.xml	2009-09-11 11:46:20 +0000
+++ local/vn/dhis-web-vn-report/src/main/resources/struts.xml	2009-09-11 11:54:32 +0000
@@ -620,6 +620,5 @@
 				/dhis-web-vn-report/responseDataSets.vm</result>
 		</action>
 
-
 	</package>
 </struts>

=== modified file 'local/vn/dhis-web-vn-report/src/main/webapp/dhis-web-vn-report/importData.vm'
--- local/vn/dhis-web-vn-report/src/main/webapp/dhis-web-vn-report/importData.vm	2009-09-11 08:08:13 +0000
+++ local/vn/dhis-web-vn-report/src/main/webapp/dhis-web-vn-report/importData.vm	2009-09-11 11:54:32 +0000
@@ -19,7 +19,7 @@
   <tr>
     <td>$i18n.getString( 'template_excel_file' )</td>
     <td><select type="text" id="reportId" name="reportId" style="min-width:20em; width:100%" #if(!$!fileExcel) disabled #end onChange="javascript: document.getElementById('lastYear').disabled=false; document.getElementById('nextYear').disabled=false; document.getElementById('periodId').disabled=false; document.getElementById('preview').disabled=false; document.getElementById('import').disabled=false;">
-	  <option value="">$i18n.getString('select_one_item')</option>
+	  <option value="">$i18n.getString('select')</option>
 	  #foreach($reportExcel in $reportExcels)
 		<option value="$!reportExcel.id">$!encoder.htmlEncode($!reportExcel.name)</option>
 	  #end

